<template>
  <select
    class="form-select"
    :value="value"
    @input="$emit('input', $event.target.value)"
    @change="$emit('change', $event.target.value)"
  >
    <slot />
  </select>
</template>

<script>
export default {
  name: 'b-form-select',
  props: {
    value: {
      required: true,
    },
  },
}
</script>

<style scoped>
.form-select {
  border: 1px solid var(--color-neutral-04);
  background: var(--color-neutral-00);
  box-sizing: border-box;
  border-radius: 5px;
  width: 100%;
  margin: 0;
  font-size: 1em;
  color: var(--color-neutral-10);
}
.form-select:hover,
.form-select:focus {
  border: 1px solid var(--color-primary-10);
  outline: none;
}
</style>
